Java下访问SQLServer 2008(低于2016)数据连接问题

环境:ubuntu20.04,tomcat,java

通过jdbc:sqlserver连接远程的SQLServer 2008R2数据库,2016版本之前仅支持TLS10,因此在连接时会出现如下错误,

The driver could not establish a secure connection to SQL Server by using Secure Sockets Layer (SSL) encryption. Error: "The server selected protocol version TLS10 is not accepted by client preferences [TLS13, TLS12]".

解决办法:

1、查询java.security位置(安装:apt install mlocate)

locate java.security

2、根据自己的使用进入相应的security/目录,编辑java.security(大概在737行)

修改jdk.tls.disabledAlgorithms,将TLSv1,TLSv1.1,3DES_EDE_CBC删除,写到注释里备用

3、重启ubuntu,访问数据库正常

4、采用TLS10已经不够安全,建议升级服务器数据库至2016或更高版本。

  • 1
    点赞
  • 2
    收藏
    觉得还不错? 一键收藏
  • 0
    评论

“相关推荐”对你有帮助么?

  • 非常没帮助
  • 没帮助
  • 一般
  • 有帮助
  • 非常有帮助
提交
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包
实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值